Name:           drawtiming
Version:        0.7.1
Release:        7%{?dist}
Summary:        A command line tool for generating timing diagrams
Group:          Applications/Engineering
License:        GPLv2
URL:            http://drawtiming.sourceforge.net
Source0:        http://downloads.sourceforge.net/sourceforge/drawtiming/%{name}-%{version}.tar.gz
BuildRequires:  ghostscript ImageMagick-c++-devel fontconfig-devel

%description
A command line tool for generating timing diagrams from
ASCII input files. The input files use a structured language
to represent signal state transitions and interdependencies.
Raster image output support is provided by ImageMagick.

It can be used for VHDL or verilog presentations.

%prep

%setup -q

sed -i '19,/ /i\#include <cstring>' src/timing.cc

%build
%configure
make %{?_smp_mflags}


%install
make INSTALL="%{__install} -c -p" install DESTDIR=%{buildroot}


# to create the *.gif in samples/
%check
make check

rm -f samples/Makefile*
rm -f samples/runsamples.sh


%files
%doc AUTHORS ChangeLog COPYING README NEWS THANKS samples/
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz


%changelog
* Fri Apr 13 2012 Tom Callaway <spot@fedoraproject.org> - 0.7.1-7
- rebuild for new ImageMagick

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-6
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 jkeating - 0.7.1-3
- Rebuilt for gcc bug 634757

* Fri Sep 17 2010 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.7.1-2
- Rawhide's new ImageMagick build introduced an ABI break -- rebuild

* Fri Mar 12 2010 Mike McGrath <mmcgrath@redhat.com> - 0.7.1-1.1
- Rebuilding to fix broken dep.  

* Fri Nov 20 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.7.1-1
- New upstream release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Mar 14 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 0.6.2-5
- Rebuild for new ImageMagick soname

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.6.2-3
- Autorebuild for GCC 4.3

* Thu Aug 23 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.6.2-2
- Rebuild for Fedora 8

* Thu Jun 28 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.6.2-1
- Initial Package
